Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
JavaScript
const options = {method: 'GET', headers: {'X-Browser-Use-API-Key': '<api-key>'}}; fetch('https://api.browser-use.com/api/v3/workspaces/{workspace_id}/files', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
curl --request GET \ --url https://api.browser-use.com/api/v3/workspaces/{workspace_id}/files \ --header 'X-Browser-Use-API-Key: <api-key>'
import requests url = "https://api.browser-use.com/api/v3/workspaces/{workspace_id}/files" headers = {"X-Browser-Use-API-Key": "<api-key>"} response = requests.get(url, headers=headers) print(response.text)
{ "files": [ { "path": "<string>", "size": 123, "lastModified": "2023-11-07T05:31:56Z", "url": "<string>" } ], "folders": [ "<string>" ], "nextCursor": "<string>", "hasMore": false }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>" } ] }
List files in a workspace’s S3 prefix.
1 <= x <= 100
Successful Response
Paginated file listing with optional presigned download URLs.
Show child attributes
Immediate sub-folder names at this prefix level
Was this page helpful?